> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Init

> This api is used to Initiate the Booking.



## OpenAPI

````yaml post /abdm/uhi/v1/physical-consultation/booking/init
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/uhi/v1/physical-consultation/booking/init:
    post:
      description: This api is used to Initiate the Booking.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModelsInitRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsGetPhysConsCommonResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ModelsInitRequest:
      properties:
        billing:
          $ref: '#/components/schemas/ModelsInitBilling'
          description: Billing information for the appointment
        doctor_id:
          description: Unique identifier of the doctor associated with the slot
          type: string
        end_time:
          description: End time of the appointment (24H format, ISO 8601 supported)
          type: string
        facility_id:
          description: Optional facility or branch identifier if applicable
          type: string
        price:
          $ref: '#/components/schemas/ModelsPrice'
          description: Price details of the consultation
        provider_id:
          description: Unique identifier of the healthcare provider or hospital
          type: string
        slot_id:
          description: Unique identifier of the selected slot
          type: string
        start_time:
          description: Start time of the appointment (24H format, ISO 8601 supported)
          type: string
        transaction_id:
          description: >-
            Unique transaction identifier for slot booking received in the
            previous api response
          type: string
      type: object
    ModelsGetPhysConsCommonResponse:
      properties:
        order_id:
          description: Unique booking/order ID
          type: string
        provider_id:
          description: Provider ID for the next API call
          type: string
        txn_id:
          description: Unique transaction ID for the next API call
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    ModelsInitBilling:
      properties:
        address:
          $ref: '#/components/schemas/ModelsAddress'
          description: Billing address details
        name:
          description: Full name of the person or entity responsible for billing
          type: string
        phone:
          description: Contact phone number for billing
          type: string
      type: object
    ModelsPrice:
      properties:
        currency:
          description: Currency code in ISO 4217 format (e.g., INR, USD)
          type: string
        value:
          description: Consultation fee amount in the specified currency
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    ModelsAddress:
      properties:
        city:
          type: string
        country:
          type: string
        door:
          type: string
        locality:
          type: string
        name:
          type: string
        state:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````